<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingBottom="10dp">

    <TextView
        android:id="@+id/tv_timer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_horizontal"
        android:paddingTop="20dp"
        android:text="昨天"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.constraintlayout.utils.widget.ImageFilterView
        android:id="@+id/ifv_avatar"
        android:layout_width="35dp"
        android:layout_height="35dp"
        android:layout_marginVertical="20dp"
        android:layout_marginEnd="10dp"
        android:src="@drawable/ic_avatar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_timer"
        app:roundPercent="0.3" />

    <TextView
        android:id="@+id/tv_message_content"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="10dp"
        android:background="@drawable/chat_send_btn_bac_mine"
        android:gravity="center_vertical"
        android:maxWidth="250dp"
        android:minHeight="35dp"
        android:paddingHorizontal="12dp"
        android:paddingVertical="6dp"
        android:text="你好你好你好你好你好你好你好你好你好你好你好你好你好你好你好你好你好你好你好你好你好你好你好你好你好你好你好你好"
        android:textColor="@color/white"
        android:textColorHighlight="#CCCCCC"
        android:textIsSelectable="true"
        android:textSize="17sp"
        app:layout_constraintEnd_toStartOf="@id/ifv_avatar"
        app:layout_constraintTop_toTopOf="@id/ifv_avatar"
        app:layout_goneMarginEnd="10dp" />

</androidx.constraintlayout.widget.ConstraintLayout>